MACHFB(4) | Device Drivers Manual | MACHFB(4)

# NAME

`machfb` — ATI Mach64/RAGE framebuffer driver

# SYNOPSIS

`machfb* at pci?`
`wsdisplay* at machfb?`

# DESCRIPTION

The `machfb` driver provides support for ATI RAGE and Mach64 graphics accelerators. 2D acceleration is supported via the rasops(9) framework.

`machfb` is primarily used on PowerPC and SPARC64, but works on other architectures. By default, on other architectures, vga(4) or genfb(4) will be used instead.

# HARDWARE

The following chipsets should work:

ATI RAGE II
ATI RAGE IIc
ATI RAGE Pro
ATI RAGE LT
ATI RAGE LT Pro
ATI RAGE XL
ATI Mach64 GX
ATI Mach64 CX
ATI Mach64 CT
ATI Mach64 VT

# SEE ALSO

ati(4), mach64drm(4), wscons(4), wsdisplay(4)

# HISTORY

The `machfb` driver first appeared in NetBSD 2.0.

April 14, 2025 | NetBSD 11.99